import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
}

// don't forget 'draw'
void draw() {
}

void run() {
  while(true) {
    println("Signal Strength: " + hamster.signalStrength());
    println("Proximity: " + hamster.leftProximity() + ", " + hamster.rightProximity());
    println("Floor: " + hamster.leftFloor() + ", " + hamster.rightFloor());
    println("Acceleration: " + hamster.accelerationX() + ", " + hamster.accelerationY() + ", " + hamster.accelerationZ());
    println("Light: " + hamster.light());
    println("Temperature: " + hamster.temperature());
    println("Input: " + hamster.inputA() + ", " + hamster.inputB());
    println("");

    delay(20); // 20 msec
  }
}