import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
}

// don't forget 'draw'
void draw() {
}

void run() {
  double pitch = 0;
  int proximity;
  while(true) {
    proximity = hamster.leftProximity();
    if(proximity < 10) {
      proximity = 0;
    }
    pitch = (pitch * 9 + proximity) / 10;
    hamster.note((int)pitch);

    delay(20); // 20 msec
  }
}