import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
}

// don't forget 'draw'
void draw() {
}

void run() {
  int proximity, leftSpeed, rightSpeed;
  while(true) {
    // left wheel
    proximity = hamster.leftProximity();
    if(proximity > 15) {
      leftSpeed = (40 - proximity) * 4;
    } else {
      leftSpeed = 0;
    }

    // right wheel
    proximity = hamster.rightProximity();
    if(proximity > 15) {
      rightSpeed = (40 - proximity) * 4;
    } else {
      rightSpeed = 0;
    }

    hamster.wheels(leftSpeed, rightSpeed);
    delay(20); // 20 msec
  }
}