import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

// This example requires a Hamster's extension kit

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
  // set a port B to the digital input mode
  hamster.ioModeB(Hamster.IO_MODE_DIGITAL_INPUT);
}

// don't forget 'draw'
void draw() {
}

void run() {
  while(true) {
    if(hamster.inputB() == 0) {
      hamster.buzzer(1000);
    } else {
      hamster.buzzer(0);
    }
    delay(20); // 20 msec
  }
}