import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

// This example requires a Hamster's extension kit

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
  // set a port A to the digital output mode
  hamster.ioModeA(Hamster.IO_MODE_DIGITAL_OUTPUT);
}

// don't forget 'draw'
void draw() {
}

void run() {
  while(true) {
    hamster.outputA(1); // turn on
    delay(1000); // 1 second

    hamster.outputA(0); // turn off
    delay(1000); // 1 second
  }
}