import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

// This example requires a Hamster's extension kit

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
  // set a port A to the analog input mode
  hamster.ioModeA(Hamster.IO_MODE_ANALOG_INPUT);
}

// don't forget 'draw'
void draw() {
}

void run() {
  int potentiometer;
  while(true) {
    potentiometer = hamster.inputA();
    hamster.buzzer(potentiometer);
    delay(20); // 20 msec
  }
}