import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

Hamster hamster1, hamster2;

void setup() {
  hamster1 = Hamster.create(this);
  hamster2 = Hamster.create(this);

  // wait until two robots are ready
  Runner.waitUntilReady();
}

// don't forget 'draw'
void draw() {
}

void run() {
  double pitch1 = 0, pitch2 = 0;
  int proximity;
  while(true) {
    proximity = hamster1.leftProximity();
    if(proximity < 10) proximity = 0;
    pitch1 = (pitch1 * 9 + proximity) / 10;
    hamster1.note((int)pitch1);

    proximity = hamster2.leftProximity();
    if(proximity < 10) proximity = 0;
    pitch2 = (pitch2 * 9 + proximity) / 10;
    hamster2.note((int)pitch2);

    delay(20); // 20 msec
  }
}