import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
}

// don't forget 'draw'
void draw() {
}

// user-defined function
boolean check() {
  return hamster.leftProximity() > 50;
}

void run() {
  Runner.waitUntil("check");
  
  hamster.beep(); // beep

  hamster.wheels(-50, -50); // move backward
  delay(500); // 0.5 seconds

  hamster.stop(); // stop
}