import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
}

// don't forget 'draw'
void draw() {
}

void run() {
  // wait while the value of the left proximity is less than 50
  while(hamster.leftProximity() < 50) {
    delay(10); // 10 msec
  }

  hamster.beep(); // beep

  hamster.wheels(-50, -50); // move backward
  delay(500); // 0.5 seconds

  hamster.stop(); // stop
}