import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

// This example requires a Hamster's extension kit

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
  // set a port A to the PWM output mode
  hamster.ioModeA(Hamster.IO_MODE_PWM_OUTPUT);
}

// don't forget 'draw'
void draw() {
}

void run() {
  while(true) {
    // turn on
    for(int i = 0; i <= 255; i += 5) {
      hamster.outputA(i);
      delay(20); // 20 msec
    }

    // turn off
    for(int i = 255; i >= 0; i -= 5) {
      hamster.outputA(i);
      delay(20); // 20 msec
    }
  }
}