import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

// This example requires a Hamster's extension kit

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
  // set a port A to the servo output mode
  hamster.ioModeA(Hamster.IO_MODE_SERVO_OUTPUT);
}

// don't forget 'draw'
void draw() {
}

void run() {
  while(true) {
    hamster.outputA(180); // move to 180 degrees
    delay(1000); // 1 second

    hamster.outputA(10); // move to home
    delay(1000); // 1 second
  }
}