import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

// This example requires a Hamster's extension kit

void setup() {
  hamster = Hamster.create(this);
  // set a port B to the digital input mode
  hamster.ioModeB(Hamster.IO_MODE_DIGITAL_INPUT);
}

// don't forget 'draw'
void draw() {
}

void execute() {
  if(hamster.inputB() == 0) {
    hamster.buzzer(1000);
  } else {
    hamster.buzzer(0);
  }
}