import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

// This example requires a Hamster's extension kit

void setup() {
  hamster = Hamster.create(this);
  // set a port A to the analog input mode
  hamster.ioModeA(Hamster.IO_MODE_ANALOG_INPUT);
}

// don't forget 'draw'
void draw() {
}

void execute() {
  int potentiometer = hamster.inputA();
  hamster.buzzer(potentiometer);
}